Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 02:07
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Localization Project
How to install iBus for puppy 4.3.1?
Moderators: Lobster, MU, raffy
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
finix

Joined: 05 Apr 2010
Posts: 7

PostPosted: Thu 08 Apr 2010, 11:49    Post subject:  How to install iBus for puppy 4.3.1?  

It seems there is not enough packages in devx_431.sfs to compile iBus.

I have a frugal install and added devx_431.sfs already, but it seems need gtk+-2.0 or something else...

Here is the iBus page:
http://code.google.com/p/ibus/

Would u like give me a solution? thx!
Back to top
View user's profile Send private message 
Chinchillagorilla

Joined: 20 Sep 2010
Posts: 4
Location: London, UK

PostPosted: Mon 11 Oct 2010, 06:56    Post subject:  Begging Bowl  

I'm not a noob, just an old idiot. I can't get an IME to run on Puppy Lucid. Does Ibus do the job, if so can anyone help to give a step by step how to? What about SCIM or other alternatives?

I want to type Chinese simplified, but I can't. This is a big boo hoo.

Please help, you are my only hope...
Back to top
View user's profile Send private message 
Aitch


Joined: 04 Apr 2007
Posts: 6825
Location: Chatham, Kent, UK

PostPosted: Mon 11 Oct 2010, 07:29    Post subject:  

iBus seems to have upset coders with a dependency on GConf amongst many others....apparently trying to create a registry in the gui

http://www.murga-linux.com/puppy/viewtopic.php?p=394908#394908

http://www.linuxquestions.org/questions/slackware-14/%5Bcall-for-testing%5D-ibus-slackbuild-726528/

http://www.theskycenter.info/blfs/ibus


Have a look at the Multi-lingual info, and see if there's suitable info there

http://puppylinux.org/wikka/MultiLingualPuppy

see also

http://puppylinux.org/wikka/HowToSetUpScim?show_comments=1

http://puppylinux.org/wikka/MakeScimWorkWithJavaAndTerminal

There are puppy users with working Chinese simplified scim, who may give you some tips

Aitch Smile
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2617
Location: Japan

PostPosted: Mon 11 Oct 2010, 07:48    Post subject: Re: Begging Bowl  

Chinchillagorilla wrote:
I can't get an IME to run on Puppy Lucid.

Why don't you use LupQ?
It provides additional SFS for CJK languages.
http://shino.pos.to/linux/lupq/index.html

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Aitch


Joined: 04 Apr 2007
Posts: 6825
Location: Chatham, Kent, UK

PostPosted: Wed 13 Oct 2010, 06:41    Post subject:  

Ah, Shinobar, I was just coming back here to link to your SFS, just found here

http://www.murga-linux.com/puppy/viewtopic.php?t=51702


....but you offered an alternate, so hope Chinchillagorilla got it sorted

Aitch Smile
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2617
Location: Japan

PostPosted: Wed 13 Oct 2010, 10:20    Post subject: Chinese support  

Thanks, Aitch.
There may be 3 options to support Chinese language on Puppies.
  1. sasaqqdan's cnpack_half-4xx-20100606.pet
  2. My lang_support_all-1.5.sfs
  3. Also my lang_pack_cjk-lupq-0.1.sfs on LupQ

I recommend the last as the best if you like the Lucid Puppy.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Localization Project
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0510s ][ Queries: 12 (0.0045s) ][ GZIP on ]